camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadrian Zbarcea (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (CAMEL-458) script component does not run unit tests
Date Thu, 10 Jul 2008 04:26:00 GMT

     [ https://issues.apache.org/activemq/browse/CAMEL-458?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Hadrian Zbarcea resolved CAMEL-458.
-----------------------------------

    Resolution: Fixed

Looks like a Mac specific issue.  When Java 1.6.0 is installed in osx 10.5 it overwrites /System/Library/Java/Extensions/AppleScriptEngine.jar
with a 1.6 specific one.  

When the ScriptEngineManager gets initialized if finds it and well, not hard to guess the
rest.  Moving it and the jnilib somewhere else fixes the problem.

> script component does not run unit tests
> ----------------------------------------
>
>                 Key: CAMEL-458
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-458
>             Project: Apache Camel
>          Issue Type: Task
>          Components: camel-script
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Blocker
>             Fix For: 1.4.0
>
>
> In the script component: camel-script the unit tests has been disabled.
> There seems to be some problem with using the javax.script API on JDK1.5 or lower. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message